var textImageData = {};

var TAB_3 = {};
TAB_3.pageContentObj;
TAB_3.visitedArr = [];
TAB_3.lastClicked;

let _shell_wrapper = $('#shell_wrapper');

TAB_3.initPage = function (data) {
    TAB_3.pageContentObj = data;
    TAB_3.visitedArr = [];

    $(".ins_text1").html(data.ins_text1);
    $(".ins_text2").html(data.ins_text2);
    $(".ins_text").html(data.ins_text);
    $(".row_counter").addClass("fadeInUp");

    $(".tab").each(function (i) {
        $(this).html(data["click_" + (i + 1)]);
        $(this).data("idx", (i + 1));
        $("#popup_" + (i + 1) + "_Container .popupText").html(data["click_" + (i + 1) + "_text"])
        TAB_3.visitedArr.push(0);
    });

    $("#bottomText").html(data.bottom_text);

}


TAB_3.updateAudio = function (_btn, num) {

}

TAB_3.checkCompletion = function () {
    if (jQuery.inArray(0, TAB_3.visitedArr) == -1) {
        Utils.pageCompleted();
        let _tabs = $(".text_model_style .tabclick")
        _tabs.off("click").removeClass("active").removeAttr("role")
    }
}

TAB_3.addListeners = function () {

    $(".tab").parent().addClass("enabled");
    $(".tab1").hide()

    $(".tab").on("click", function () {
        if (TAB_3.lastClicked == undefined || TAB_3.lastClicked.attr('id') != $(this).attr('id') && $(this).parent().hasClass("enabled")) {
            $(".tab").parent().removeClass("selected enabled");
            $(this).parent().addClass("selected");
            if ((!$(this).parent().hasClass('visited')) || (!$(this).hasClass('visited'))) {
                $(".closeBtn").removeClass("enabled");
            }

            var eName = $(this).attr("id");
            var num = parseInt(eName.slice(3, 4));
            $(".ins_text2").hide();
            $(".contentCont #container").fadeOut()
            if (num == 1) {
                $(".ins_text1").hide();
                $(".ins_text2").show();
                setTimeout(function () {
                    $(".contentCont #container").fadeIn()
                    initCourosel();
                }, 300)
            }

            TAB_3.lastClicked = $(this);
        }
    });

    setTimeout(function () {
        $(".btnContainer .tab1").trigger("click")
    }, 300)

}





var init_activity = (function () {
    this.init = function (data, callback) {
        TAB_3.initPage(data);
        setTimeout(function () {
            TAB_3.addListeners();
        }, 400);
    };
    return this;

})

///  courosel is //////////////////////

let initCourosel = function () {
    $(".carousel-container #box6").show();
    addClickActivity();
};


let addClickActivity = function () {
    TAB_3.visitedArr = []
    let _tabs = $(".text_model_style .tabclick")
    _tabs.each(function (i) {
        TAB_3.visitedArr.push(0)
    })

    _tabs.off("click").on("click", function () {

        let _btn = $(this);

        if (_btn.hasClass("disabled")) return;
        _tabs.removeClass("selected");

        _btn.addClass('disabled').removeClass('active');

        let num = parseInt(_btn.attr("id").slice(8, 9));

        _btn.addClass("selected");
        $(".contentWrapper .revealTxt_" + num).show();

        //  Utils.updateAudio(TAB_3.pageContentObj.audio[num], function () {
        TAB_3.visitedArr[num - 1] = 1;
        _btn.addClass("visiteded");
        //_btn.removeClass('selected');

        let _data = {
            'qNo': num,
            'r': 1
        }
        _shell_wrapper.trigger("tabClicked", _data);

        TAB_3.checkCompletion();
        // })        
    }).addClass('disabled').removeClass('active');

}